$ErrorActionPreference = 'Stop';

$packageName= 'vivaldi'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'exe'

    url            = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.2.2406.23.exe'
    silentArgs     = '--vivaldi-install-dir=$($env:ProgramFiles)\Vivaldi --vivaldi-silent --do-not-launch-chrome --vivaldi-update --system-level'
    
    checksum       = '71468942F7352CCEF798DEB0E1CD97EAD8AAB16693DDF03F090F8FB3C82818B0'
    checksumType   = 'sha256'
    url64bit       = 'https://downloads.vivaldi.com/snapshot-auto/Vivaldi.4.2.2406.23.x64.exe'
    checksum64     = '10CB75AAF315E062B3D8AEB4A953C24E44B9FEDAE4C2447C27A5D9F0CF65F59B'
    checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
